{{- define "polaris.eventstore.environment" }}
- name: "EVENT_STORE_ADDR"
  value: {{ printf "eventstore.%s.svc.cluster.local" .Release.Namespace | quote }}
- name: {{ printf "EVENT_STORE_%s_USERNAME" ((required "eventstore_role needs to be specified" .eventstore_role) | upper) | quote }}
  value: {{ (required "eventstore_role needs to be specified" .eventstore_role) | quote }}
- name: {{ printf "EVENT_STORE_%s_PASSWORD" ((required "eventstore_role needs to be specified" .eventstore_role) | upper) | quote }}
  valueFrom:
    secretKeyRef:
      name: {{ printf "swip-eventstore-%s-creds" (required "eventstore_role needs to be specified" .eventstore_role) }}
      key: "password"
{{- end }}