#!/bin/bash

# Enforce shell discipline
set -euo pipefail

SOURCE="${BASH_SOURCE[0]}"
DIR=`dirname $SOURCE`

for filename in $DIR/ci/*.yaml; do
  echo "Dry run with '$filename'"
  helm upgrade --install test-dryrun . --dry-run -f $filename
  echo `printf "%0.s*" {1..30}`
done
